CMSIS-FreeRTOS: Event Groups Functions

| CMSIS-FreeRTOS Version 10.5.1 CMSIS-RTOS2 compliant FreeRTOS Implementation

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
Event Groups Functions
Event functions

Events generated by event groups functions. More...

## Functions
void | EvrFreeRTOSEventGroups_EventGroupCreate (EventGroup_t pxEventGroup)
| Event on successful event groups object create (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupCreateFailed (void)
| Event on unsuccessful event groups object create (Error) More...
void | EvrFreeRTOSEventGroups_EventGroupSyncBlock (EventGroup_t pxEventGroup, uint32_t uxBitsToSet, uint32_t uxBitsToWaitFor)
| Event on event groups sync wait start (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupSyncEnd (EventGroup_t pxEventGroup, uint32_t uxBitsToSet, uint32_t uxBitsToWaitFor, uint32_t xTimeoutOccurred)
| Event on event groups sync completed (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupWaitBitsBlock (EventGroup_t pxEventGroup, uint32_t uxBitsToWaitFor)
| Event on event groups bit wait start (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupWaitBitsEnd (EventGroup_t pxEventGroup, uint32_t uxBitsToWaitFor, uint32_t xTimeoutOccurred)
| Event on event groups bit wait completed (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupClearBits (EventGroup_t pxEventGroup, uint32_t uxBitsToClear)
| Event on event groups bit clear (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupClearBitsFromIsr (EventGroup_t pxEventGroup, uint32_t uxBitsToClear)
| Event on event groups bit clear call from ISR (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupSetBits (EventGroup_t pxEventGroup, uint32_t uxBitsToSet)
| Event on event groups bit set (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupSetBitsFromIsr (EventGroup_t pxEventGroup, uint32_t uxBitsToSet)
| Event on event groups bit set call from ISR (Op) More...
void | EvrFreeRTOSEventGroups_EventGroupDelete (EventGroup_t pxEventGroup)
| Event on event groups object delete (Op) More...

## Description

## Function Documentation

void EvrFreeRTOSEventGroups_EventGroupClearBits | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToClear
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToClear | event bits that shall be cleared.

The event EventGroupClearBits is generated when the function xEventGroupClearBits is called.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToClear : event bits that shall be cleared.

void EvrFreeRTOSEventGroups_EventGroupClearBitsFromIsr | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToClear
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToClear | event bits that shall be cleared.

The event EventGroupClearBitsFromIsr is generated when the function xEventGroupClearBitsFromISR is called.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToClear : event bits that shall be cleared.

void EvrFreeRTOSEventGroups_EventGroupCreate | ( | EventGroup_t | pxEventGroup | ) |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.

The event EventGroupCreate is generated when Event Groups object is successfully created.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)

void EvrFreeRTOSEventGroups_EventGroupCreateFailed | ( | void |  | ) |

The event EventGroupCreateFailed is generated when Event Groups object create fails due to insufficient heap memory.

void EvrFreeRTOSEventGroups_EventGroupDelete | ( | EventGroup_t | pxEventGroup | ) |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.

The event EventGroupDelete is generated when Event Group object is successfully added to object delete queue.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)

void EvrFreeRTOSEventGroups_EventGroupSetBits | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToSet
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToSet | event bits that shall be set.

The event EventGroupSetBits is generated when the function xEventGroupSetBits is called.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToSet : event bits that shall be set.

void EvrFreeRTOSEventGroups_EventGroupSetBitsFromIsr | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToSet
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToSet | event bits that shall be set.

The event EventGroupSetBitsFromIsr is generated when the function xEventGroupSetBitsFromISR is called.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToSet : event bits that shall be set.

void EvrFreeRTOSEventGroups_EventGroupSyncBlock | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToSet,
|  | uint32_t | uxBitsToWaitFor
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToSet | event bits that shall be set.
  [in] | uxBitsToWaitFor | event bits to wait for.

The event EventGroupSyncBlock is generated before the function xEventGroupSync enters blocked state.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToSet : event bits that shall be set.
- uxBitsToWaitFor : event bits to wait for.

void EvrFreeRTOSEventGroups_EventGroupSyncEnd | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToSet,
|  | uint32_t | uxBitsToWaitFor,
|  | uint32_t | xTimeoutOccurred
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToSet | event bits that shall be set.
  [in] | uxBitsToWaitFor | event bits to wait for.
  [in] | xTimeoutOccurred | timeout value.

The event EventGroupSyncEnd is generated before the function xEventGroupSync returns.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToSet : event bits that shall be set.
- uxBitsToWaitFor : event bits to wait for.
- xTimeoutOccurred : timeout value (0=timeout occurred, 1=no timeout)

void EvrFreeRTOSEventGroups_EventGroupWaitBitsBlock | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToWaitFor
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToWaitFor | event bits to wait for.

The event EventGroupWaitBitsBlock is generated before the function xEventGroupWaitBits enters blocked state.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToWaitFor : event bits to wait for.

void EvrFreeRTOSEventGroups_EventGroupWaitBitsEnd | ( | EventGroup_t | pxEventGroup,
|  | uint32_t | uxBitsToWaitFor,
|  | uint32_t | xTimeoutOccurred
| ) |  |

Parameters

  [in] | pxEventGroup | pointer to Event Groups object handle.
  [in] | uxBitsToWaitFor | event bits to wait for.
  [in] | xTimeoutOccurred | timeout value.

The event EventGroupWaitBitsEnd is generated before the function xEventGroupWaitBits returns.

Value in the Event Recorder shows:

- pxEventGroup : pointer to Event Groups object handle (control block address)
- uxBitsToWaitFor : event bits to wait for.
- xTimeoutOccurred : timeout value (0=timeout occurred, 1=no timeout)